(* $Id: hydro_locator.mli 15383 2007-11-27 18:56:43Z gerd $ *)

(** Use locator service for proxy resolution (IceGrid) *)

open Hydro_builtin

val proxy_resolver : 
       ?domain_resolver:Hydro_proxy.domain_resolver ->
      Hydro_types.client_params -> 
      pr_Ice_Locator ->
        Hydro_proxy.proxy_resolver_t
  (** A proxy_resolver that also supports indirect lookups through a 
      locator service like icegridnode. The parameters and the 
      proxy of the locator have to be passed.

      Note that there is no caching of results!
 *)

val get_Ice_Locator_of_port : string -> int -> pr_Ice_Locator
  (** Return a proxy referring to [::Ice::Locator] for a host and a port *)

(* TODO: A cache for resolutions! *)
